- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# linear – Executes tasks in a linear fashion

- Synopsis
- Notes
- Status

## Synopsis

- Task execution is in lockstep per host batch as defined by `serial` (default all). Up to the fork limit of hosts will execute each task at the same time and then the next series of hosts until the batch is done, before going on to the next task.

## Notes

Note

- This was the default Ansible behaviour before ‘strategy plugins’ were introduced in 2.0.

## Status

- This strategy is not guaranteed to have a backwards compatible interface. [preview]
- This strategy is maintained by the Ansible Community. [community]

### Authors

- Ansible Core Team

Hint

If you notice any issues in this documentation, you can edit this document to improve it.

Hint

Configuration entries for each entry type have a low to high priority order. For example, a variable that is lower in the list will override a variable that is higher up.